# NV::Rules::INvtxDomainInfo Class Reference
[NvRules Python garbage-collected classes.]

NvtxDomainInfo interface. More...

## Public Member Functions
virtual std::string | name ()=0
| Get the domain name.
virtual PYRETURN INvtxRange * | push_pop_range (size_t idx)=0
| Get a push/pop range object.
virtual std::vector< std::string > | push_pop_ranges ()=0
| Get the list of push/pop range names.
virtual PYRETURN INvtxRange * | start_end_range (size_t idx)=0
| Get a start/end range object.
virtual std::vector< std::string > | start_end_ranges ()=0
| Get the list of start/end range names.

## Detailed Description

Represents a single NVTX domain of the NVTX state, including all ranges associated with this domain.

## Member Function Documentation

virtual std::string NV::Rules::INvtxDomainInfo::name | ( |  | ) | `[pure virtual]`

Get the name of this domain

virtual PYRETURN INvtxRange* NV::Rules::INvtxDomainInfo::push_pop_range | ( | size_t | idx | ) | `[pure virtual]`

Get a push/pop INvtxRange object by it's running index . The index is identical to the range's order on the call stack.

virtual std::vector<std::string> NV::Rules::INvtxDomainInfo::push_pop_ranges | ( |  | ) | `[pure virtual]`

Get the sorted list of stacked push/pop range names in this domain, associated with the current INvtxState.

virtual PYRETURN INvtxRange* NV::Rules::INvtxDomainInfo::start_end_range | ( | size_t | idx | ) | `[pure virtual]`

Get a start/end INvtxRange object by it's running index .

virtual std::vector<std::string> NV::Rules::INvtxDomainInfo::start_end_ranges | ( |  | ) | `[pure virtual]`

Get the list of start/end range names in this domain, associated with the current INvtxState.